<script>
	import Benefit from "@/components/Benefit.svelte"
	import SVG from "@/components/svg.svelte"

	import { t } from "@/i18n"
	import { isPhone, isTablet } from "@/stores/responsiveness"

	$: about = [
		{
			title: $t("car.years"),
			content: $t("car.track_record"),
			icon: "calendar"
		},
		{
			title: $t("car.discount"),
			content: $t("car.for_rent"),
			icon: "price-tag"
		},
	]
</script>

<div class="benefits is-flex is-align-items-center is-justify-content-center" class:is-flex-direction-column={$isPhone || $isTablet}>
	{#each about as {title, content, icon}}
		<Benefit>
			<div class="about is-flex is-align-items-center is-justify-content-space-between">
				<div class="left">
					<p class="title">{title}</p>
					<p class="content">{content}</p>
				</div>
				<div class="right icon is-flex">
					<SVG name={icon} />
				</div>
			</div>
		</Benefit>
	{/each}

	<Benefit />
</div>

<style lang="scss">
	.benefits {
		@include min_tablet {
			margin: 1.5rem -.75rem 3rem;
			width: calc(100% + 1.5rem);
			:global(.benefit) {
				flex: 1;
				margin: 0 .75rem;
			}
		}
		@include max_tablet {
			margin: 1rem 0 2.5rem;
			width: 100%;
			:global(.benefit) {
				flex: 1;
				width: 100%;
				margin: .5rem 0;
			}
		}
	}

	.about {
		.title {
			font-size: 1.125rem;
			font-weight: 500;
			color: $black;
			margin-bottom: .5rem;
		}
		.content {
			font-weight: 300;
			line-height: 1rem;
			color: $gray-text;
		}
		.icon {
			min-width: 3rem;
			max-width: 3rem;
			margin-left: 1rem;
			&:global(svg) {
				height: 3rem;
			}
		}
	}
</style>